<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Matchers::StdString::CasedString Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers.html">Matchers</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers_1_1StdString.html">StdString</a></li><li class="navelem"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1CasedString.html">CasedString</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1Matchers_1_1StdString_1_1CasedString-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Matchers::StdString::CasedString Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa88bbc5acd2bff22351d8d4b1816b561"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1CasedString.html#aa88bbc5acd2bff22351d8d4b1816b561">CasedString</a> (std::string const &amp;str, <a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a> caseSensitivity)</td></tr>
<tr class="separator:aa88bbc5acd2bff22351d8d4b1816b561"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77639b1165c01f424ee0e96f53335010"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1CasedString.html#a77639b1165c01f424ee0e96f53335010">adjustString</a> (std::string const &amp;str) const</td></tr>
<tr class="separator:a77639b1165c01f424ee0e96f53335010"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9759155344d696b2476d764a1d95fcc9"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1CasedString.html#a9759155344d696b2476d764a1d95fcc9">caseSensitivitySuffix</a> () const</td></tr>
<tr class="separator:a9759155344d696b2476d764a1d95fcc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa88bbc5acd2bff22351d8d4b1816b561"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1CasedString.html#aa88bbc5acd2bff22351d8d4b1816b561">CasedString</a> (std::string const &amp;str, <a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a> caseSensitivity)</td></tr>
<tr class="separator:aa88bbc5acd2bff22351d8d4b1816b561"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77639b1165c01f424ee0e96f53335010"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1CasedString.html#a77639b1165c01f424ee0e96f53335010">adjustString</a> (std::string const &amp;str) const</td></tr>
<tr class="separator:a77639b1165c01f424ee0e96f53335010"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9759155344d696b2476d764a1d95fcc9"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1CasedString.html#a9759155344d696b2476d764a1d95fcc9">caseSensitivitySuffix</a> () const</td></tr>
<tr class="separator:a9759155344d696b2476d764a1d95fcc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae1c2864c986941536a6e94cca0528f92"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1CasedString.html#ae1c2864c986941536a6e94cca0528f92">m_caseSensitivity</a></td></tr>
<tr class="separator:ae1c2864c986941536a6e94cca0528f92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad05dbc99aba3c3c386d6b856b213f911"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1CasedString.html#ad05dbc99aba3c3c386d6b856b213f911">m_str</a></td></tr>
<tr class="separator:ad05dbc99aba3c3c386d6b856b213f911"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa88bbc5acd2bff22351d8d4b1816b561"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa88bbc5acd2bff22351d8d4b1816b561">&#9670;&nbsp;</a></span>CasedString() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Matchers::StdString::CasedString::CasedString </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a>&#160;</td>
          <td class="paramname"><em>caseSensitivity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa88bbc5acd2bff22351d8d4b1816b561"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa88bbc5acd2bff22351d8d4b1816b561">&#9670;&nbsp;</a></span>CasedString() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Matchers::StdString::CasedString::CasedString </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a>&#160;</td>
          <td class="paramname"><em>caseSensitivity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a77639b1165c01f424ee0e96f53335010"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77639b1165c01f424ee0e96f53335010">&#9670;&nbsp;</a></span>adjustString() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Matchers::StdString::CasedString::adjustString </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a77639b1165c01f424ee0e96f53335010"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77639b1165c01f424ee0e96f53335010">&#9670;&nbsp;</a></span>adjustString() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Matchers::StdString::CasedString::adjustString </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9759155344d696b2476d764a1d95fcc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9759155344d696b2476d764a1d95fcc9">&#9670;&nbsp;</a></span>caseSensitivitySuffix() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Matchers::StdString::CasedString::caseSensitivitySuffix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9759155344d696b2476d764a1d95fcc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9759155344d696b2476d764a1d95fcc9">&#9670;&nbsp;</a></span>caseSensitivitySuffix() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Matchers::StdString::CasedString::caseSensitivitySuffix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ae1c2864c986941536a6e94cca0528f92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1c2864c986941536a6e94cca0528f92">&#9670;&nbsp;</a></span>m_caseSensitivity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6a">CaseSensitive::Choice</a> Catch::Matchers::StdString::CasedString::m_caseSensitivity</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad05dbc99aba3c3c386d6b856b213f911"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad05dbc99aba3c3c386d6b856b213f911">&#9670;&nbsp;</a></span>m_str</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Matchers::StdString::CasedString::m_str</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
